import request from '../utils/request.js'

class recruit extends request {

  //获取职位列表
  // type 1、社招；2、校招
  // status 状态 默认1没发布 2已发布 3已过期
  static async getRecruitList(name = '', type = 1, page = 1, pageSize = 10,status=2) {
    var data = {
      page: page,
      pageSize: pageSize,
      name: name,
      type: type,
      status: status,
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/list-recruit`, data)

    return res.data
  }
  //获取职位信息
  static async getRecruitInfo(id) {
    var data = {
      id: id
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/info-recruit`, data)
    return res.data;
  }
  //获取是否是收藏的 职位
  static async getRecruitLikeInfo(id,openid) {
    var data = {
      recruitsId: id,
      openid: openid,
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/info-like-recruit`, data)
    return res.data;
  }
  
  //收藏职位
  static async collectionRecruit(openId,recruitsId) {
    var data = {
      openid: openId,
      recruitsId: recruitsId
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/collection-recruit`, data)
    return res.data;
  }
  //投递职位
  static async deliveryRecruit(openId,recruitsId) {
    var data = {
      openid: openId,
      recruitsId: recruitsId
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/delivery-recruit`, data)
    return res.data;
  }
   //获取我的投递列表
   static async getDelivery(openId,page = 1, pageSize = 10,status=null) {
    var data = {
      page: page,
      pageSize: pageSize,
      openid: openId,
      status:status
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/list-delivery`, data)

    return res.data
  }
   //获取我的收藏列表
   static async getCollection(openId,page = 1, pageSize = 10) {
    var data = {
      page: page,
      pageSize: pageSize,
      openid: openId,
    }
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/list-collection`, data)

    return res.data
  }
  //编辑用户（简历信息）
  static async saveUser(data) {
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/save-user`, data)
    return res.data;
  }
  //用户登陆
  static async loginUser(data) {
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/login-user`, data)
    return res.data;
  }

  //用户信息
  static async infoUser(data) {
    const res = await this.postRequest(`${this.BASE_URL}open/recruit/info-user`, data)
    return res.data;
  }

    //获取职位信息
    static async userRecruitInfo(openid) {
      var data = {
        openid: openid
      }
      const res = await this.postRequest(`${this.BASE_URL}open/recruit/user-recruit-info`, data)
      return res.data;
    }

}

export default recruit