// app.js
import { default as recruitApi } from "./api/recruit"
App({
  onLaunch:async function() {
    var openId = wx.getStorageSync('openId')
    if(openId){
        await this.setUserInfo(openId)
    }
  },
  globalData: {
    userInfo: null
  },
  getWxUserInfo: async function(){
    if (!wx.getStorageSync('openId')){
        console.log('缓存中没有用户信息')
        return null
      
    }else {
      return this.globalData.userInfo
    }
  },
  isAuth: async function(){
    if (!wx.getStorageSync('openId')){
      console.log('您还没有授权');
      return false;
    }
    return true;
  },
  wxLogin:async function(data){
   
    if (!data){
      console.log('你还没有授权')
      return
    }
    let res = await wx.login()

    if (!res.code){
      return
    }
    var params = {}
    params['code'] = res.code
    params['nickName'] = data.nickName
    params['headerImg'] = data.avatarUrl
    params['gender'] = data.gender
    let openId =  await recruitApi.loginUser(params)
    wx.setStorageSync('openId', openId);
    var params = {}
    params['openid'] = openId;
    var info =  await recruitApi.infoUser(params);
    this.globalData.userInfo = info 
    return info

  },
    setUserInfo: async function(openId){
      if(openId){
        var params = {}
        params['openid'] = openId;
        var info =  await recruitApi.infoUser(params);
        this.globalData.userInfo = info; 
        // console.log(this.globalData.userInfo);
      }
     
  },
})
