import recruitApi from '../../api/recruit'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:[],
    page:1,
    pageNum:10,
    count:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    this.setData({
      status: options.status
    })

    var title = "已投简历"
    if(options.status==2){
      title= '待面试'
    }

    wx.setNavigationBarTitle({
      title: title
   })
      
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: async function () {
    const isAuth = await app.isAuth()
    if (!isAuth) {
      wx.redirectTo({
        url: '/pages/prompt/prompt?page=' + this.route+"?type="+this.data.type,
      })
      return
    }
    var openId = wx.getStorageSync('openId');
   this.setData({
     openId:openId
   })
   this.setData({
    list:[]
  })
   this.getList(openId);
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var totalPage = Math.ceil(this.data.count/this.data.pageNum)
    console.log('到底了')
    var page = this.data.page
    page++;
    this.setData({
      page:page
    })
    if(page<=totalPage){
      this.getList();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getList: async function(openId) {
    var status = this.data.status;
    var result = await recruitApi.getDelivery(openId,this.data.page,this.data.pageNum,status);
    var nowList = this.data.list.concat(result.list)
    this.setData({
      list:nowList,
      count:result.count,
      page:result.page
    })
  },

  goToInfo:function(e){
    //已经结束的招聘不用查看详情
    if(e.currentTarget.dataset.status==3){
        return false;
    }
    var id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../recruitInfo/recruitInfo?id='+id
    })
  },
})