import recruitApi from '../../api/recruit'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgUrl:'/images/new/like_no.png',
    recruitInfo:[],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    console.log(options)
    this.setData({
      id:options.id
    })
   
   
     
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: async function () {
    const isAuth = await app.isAuth()
    if (!isAuth) {
      wx.redirectTo({
        url: '/pages/prompt/prompt?page=' + this.route+"&id="+this.data.id,
      })
      return
    }
    
    await this.getRecruitInfo(this.data.id)
    var openid = wx.getStorageSync('openId');
    if(openid){
      await this.getRecruitLikeInfo(openid);
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let url = encodeURIComponent('pages/recruitInfo/recruitInfo?id=' + this.data.id);
    return {
      title: "招聘详情",
      path:`/pages/index/index?url=${url}` 
    }


  },
  saveLike: async function(){
    const isAuth = await app.isAuth()
    if (!isAuth) {
      wx.redirectTo({
        url: '/pages/prompt/prompt?page=' + this.route+"&id="+this.data.id,
      })
      return
    }
    var id  = this.data.id;
    var openid = wx.getStorageSync('openId');
    var result = await recruitApi.collectionRecruit(openid,id);
    var imgUrl =  '/images/new/like_no.png';
    if(result.isDelete !=1){
      imgUrl = '/images/new/like_yes.png';
      wx.showToast({
        title: '已收藏',
        image:imgUrl,
        duration: 2000
      })
    }
    this.setData({
      imgUrl:imgUrl
    })
  },
  //投递简历
  saveResume:function(){
    var self= this
    wx.showModal({
      title: '提示',
      // content: '您可申请2个社招职位，还剩2个，是否继续投递',
      content: '您确认投递此职位吗？',
      confirmText:'确认投递',
      confirmColor:'#BF2637',
      success (res) {
        if (res.confirm) {
          wx.navigateTo({
            url: '../resume/resume?type=2&id='+self.data.id,
          })
          console.log('用户点击确定')
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  },
  getRecruitInfo: async function(id) {
    var result = await recruitApi.getRecruitInfo(id);
    this.setData({
      recruitInfo:result
    })
  },
  getRecruitLikeInfo: async function(openid) {
    var id =  this.data.id;
    var result = await recruitApi.getRecruitLikeInfo(id,openid);
    var imgUrl =  '/images/new/like_no.png';
    if(result){
       imgUrl =  '/images/new/like_yes.png';
    }
    this.setData({
      imgUrl:imgUrl
    })
  }
  
})